Skip to main content
POST
Replay a run callback
How replay works:
  • Each replay creates a new callback (up to 3 total replays)
  • You can only replay the original callback, not callback responses
  • This helps you track each attempt and identify specific issues with your webhook URL
When to use replay:
  • Your webhook URL was temporarily unavailable
  • You received a callback but want to retry processing
  • You need to debug callback delivery issues

Authorizations

X-API-Key
string
header
required

Path Parameters

callback_uid
string<uuid>
required

Run callback UUID

Response

Returns the run callback created for the replay

Returns the run callback created for the replay

uid
string<uuid>

Run callback UUID

parent_uid
string<uuid> | null

Identifies the original run callback from which the current callback originates. It is set when a callback is created as part of a replay of a previous run callback.

retry_count
integer
default:0

Retry count

created_at
string

Created at

status
enum<string>

Callback status

Available options:
PENDING,
RUNNING,
FAILED,
SUCCESS
callback_url
string

Callback URL

http_status
integer

HTTP status code of the callback

http_response
object

HTTP response of the callback

batch_uid
string<uuid>

Batch UUID

run_uid
string<uuid>

Run UUID

scheduled_run_uid
string<uuid> | null

Scheduled run UUID if the callback is associated with a scheduled run

error
object | null

Error information if the callback failed

workspace_uid
string<uuid>

Workspace UUID